var requisicao = 'NULL';
var catalogo = 'NULL';
var tipo = 'NULL';
var status_req = 'NULL'

$("#DATA_INICIAL").mask("99/99/9999");
$("#DATA_FINAL").mask("99/99/9999");
var now = new Date;
$("#DATA_FINAL").val(getFormData(getFormData(now.toLocaleString(), 1), 2));
var data_final = getFormData(now.toLocaleString(), 1);
now.setDate(now.getDate() - 30);
$("#DATA_INICIAL").val(getFormData(getFormData(now.toLocaleString(), 1), 2));
var data_inicial = getFormData(now.toLocaleString(), 1);

$('#sandbox-container input').datepicker({
  autoclose: true,
  todayHighlight: true
});

function getFormData(data, tipo) {
  if (tipo == 1) {
    var tmp = data.split("/");
    if (tmp.length > 1) {
      var ANO_HORA = tmp[2];
      var ano = ANO_HORA.split(" ");
      return ano[0] + '-' + tmp[1] + '-' + tmp[0];
    } else {
      return '';
    }
  } else {
    var tmp = data.split("-");
    if (tmp.length > 1) {
      return tmp[2] + '/' + tmp[1] + '/' + tmp[0];
    } else {
      return '';
    }
  }
}

$(document).ready(function() {
  $('#summernote').summernote({
    height: 100,

  });
});

function getTextModal() {
  $('textarea[name="Complemento"]').html($('#summernote').code());
  if ($('#Complemento').val() == '' || $('#ITEM_CATALOGO_REQUISICAO').val() == '' || $('#QUANTIDADE_REQUISICAO').val() == '') {
    var TITULO = '<i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Erro!';
    var TEXT_ERROR = '' +
      '<b><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> ATENÇÃO!</b> ' +
      'Não foi possível cadastrar sua requisição de compra, pois existe algum campo obrigatório que não foi devidamente preenchido.' +
      '<br><br><b>Detalhes do erro:</b><br>';
    var ERRO = '<ul>';
    ($('#ITEM_CATALOGO_REQUISICAO').val() == '' ? ERRO += '<li>É necessário selecionar um item catálogo para sua requisição.</li>' : '');
    ($('#QUANTIDADE_REQUISICAO').val() == '' ? ERRO += '<li>É necessário informar o numero de itens a serem adiquiridos.</li>' : '');
    ($('#Complemento').val() == '' ? ERRO += '<li>É necessário informar uma descrição para sua requisição.</li>' : '');
    ERRO += '</ul>';
    $("#TituloModal").html(TITULO);
    $("#TextError").html(TEXT_ERROR);
    $("#descError").html("<b><i> " + ERRO + " </i></b>");
    $("#Erro").modal('show');
    return false;
  } else {
    return true;
  }
}
